﻿using Android.Content;
using Android.Runtime;
using Android.Views;
using ELTE.Calculator.Device;
using ELTE.Calculator.Droid.Device;
using Xamarin.Forms;

[assembly: Dependency(typeof(AndroidDeviceProperties))]
namespace ELTE.Calculator.Droid.Device
{
    /// <summary>
    /// Eszköztulajdonságok Android plarformra.
    /// </summary>    
    public class AndroidDeviceProperties : IDeviceProperties
    {
        /// <summary>
        /// Tájolás lekérdezése.
        /// </summary>
        public DeviceOrientation DeviceOrientation
        {
            get
            {
                IWindowManager windowManager = Android.App.Application.Context.GetSystemService(Context.WindowService).JavaCast<IWindowManager>();

                SurfaceOrientation rotation = windowManager.DefaultDisplay.Rotation;

                if (rotation == SurfaceOrientation.Rotation90 || rotation == SurfaceOrientation.Rotation270)
                {
                    return DeviceOrientation.Landscape;
                }
                else
                {
                    return DeviceOrientation.Portrait;
                }
            }
        }
    }
}
