﻿using Calculator.Windows.Device;
using ELTE.Calculator.Device;
using Windows.Graphics.Display;
using Xamarin.Forms;

[assembly: Dependency(typeof(WindowsDeviceProperties))]
namespace Calculator.Windows.Device
{
    /// <summary>
    /// Eszköztulajdonságok Windows platformra.
    /// </summary>
    public class WindowsDeviceProperties : IDeviceProperties
    {
        /// <summary>
        /// Tájolás lekérdezése.
        /// </summary>
        public DeviceOrientation DeviceOrientation
        {
            get
            {
                DisplayOrientations orientation = DisplayInformation.GetForCurrentView().CurrentOrientation;
                if (orientation == DisplayOrientations.Landscape || orientation == DisplayOrientations.LandscapeFlipped)
                {
                    return DeviceOrientation.Landscape;
                }
                else
                {
                    return DeviceOrientation.Portrait;
                }
            }
        }
    }
}
